import sqlite3

from flask import Flask, render_template, request, redirect
app = Flask(__name__)


@app.route("/create_tables", methods=["GET"])
def create_tables():
	conn = sqlite3.connect('user.db')
	c = conn.cursor()

	# Create table
	c.execute("""
			CREATE TABLE IF NOT EXISTS user
            (	email text, 
            	password text, 
            	location text, 
            	essay text
            )""")

	conn.commit()
	conn.close()

	return "OK"


@app.route("/sign_up", methods=["GET"])
def sign_up_form():
	return render_template("sign_up_form.html")

@app.route("/sign_up", methods=["POST"])
def sign_up():
	email = request.form["email"]
	password = request.form["password"]
	location = request.form["location"]
	essay = request.form["essay"]

	#DOING STUFF
	conn = sqlite3.connect('user.db')
	c = conn.cursor()

	c.execute(""" INSERT INTO user (email, password, location, essay)
		VALUES (?, ?, ?, ?)""", [email, password, location, essay])
	conn.commit()

	return render_template("sign_up.html", 
		email=email,
		password=password,
		location=location,
		free_text=essay)

@app.route("/show_all_users", methods=["GET"])
def show_all_users():
	 
	conn = sqlite3.connect('user.db')
	c = conn.cursor()

	data = []
	for db_row in c.execute(""" SELECT email, location, essay
			FROM user """):
		data_row = {}
		data_row["email"] = db_row[0]
		data_row["location"] = db_row[1]
		data_row["essay"] = db_row[2]
		data.append(data_row)

	return render_template("show_all_users.html", data=data)

@app.route("/", methods=["GET"])
def login_form():
	return render_template("login_form.html")


@app.route("/login", methods=["POST"])
def login():
	email = request.form["email"]
	password = request.form["password"]

	conn = sqlite3.connect('user.db')
	c = conn.cursor()

	c.execute("""SELECT count(*) 
		FROM user
		WHERE email = ?
		AND password = ?""", [email, password])

	# Results into (0), or (1)

	count = c.fetchone()[0]

	if count > 0:
		# if user and password is correct, go here
		return redirect("/show_all_users")
	else:
		# if user and password is not correct, go here
		return redirect("/")

if __name__ == "__main__":
    app.run()